Changelog for: GameSpy Common Code
--------------------------------------------------------

DATE        VERSION  BY   TYPE     DESCRIPTION
----------  -------  ---  -------  ---------------------------------------------------------
12-12-2007  2.06.00  RMV  RELEASE  Released to Developer Site
12-12-2007  2.05.14  SN   FIX      Fixed getlocalhost for revolution
12-10-2007  2.05.13  SN   FIX      Added limits.h for PS2
11-27-2007  2.05.12  SAH  FIX      Removed tm struct and added SB_NO_ICMP define for revolution
                     SAH  CLEANUP  Moved extern "c" block below includes to prevent linker errors
11-21-2007  2.05.11  SAH  FIX      Added include <limits.h> for Nitro/Revolution
11-16-2007  2.05.10  SAH  FIX      Fixed mem leak in gsCore from not freeing the dynamic array
                     SAH  CLEANUP  Changed async DNS code to set the handle pointer to null after freeing
11-09-2007  2.05.09  SAH  CLEANUP  Added wchar_t typecasts to goawstrdup to remove warnings
11-05-2007  2.05.08  SAH  FIX      Removed GP_NP_BUDDY_SYNC define, NP modules load now regardless
10-31-2007  2.05.07  SAH  FIX      Fixed <wchar.h> to be included regardless of GSI_UNICODE define
10-19-2007  2.05.06  SAH  OTHER    Added goawstrdup function for wchar strdup operations
10-09-2007  2.05.05  SAH  FIX      Fixed compiler errors with gsiInt64ToString functions
10-08-2007  2.05.04  BED  RELEASE  Limited release
10-04-2007  2.05.04  DES  FEATURE  The task list can now grow dynamically
09-26-2007  2.05.03  SAH  FIX      Removed overrided PS3 time() function
09-18-2007  2.05.02  SAH  OTHER    Added two PS3 modules to ps3common for GP-NP support
08-16-2007  2.05.01  SAH  FIX      Removed unnecessary len > 0 assert in gsXmlWriteBase64BinaryElement
08-14-2007  2.05.01  SN   FEATURE  Added 64 bit integer function gsiStringToInt64
                     SN   FEATURE  Added 64 bit versions of gsXml read and write functions
08-06-2007  2.05.00  RMV  RELEASE  Released to Developer Site
07-19-2007  2.04.07  SAH  FIX      Added explicit typecasting to UdpEngine to get rid of compiler warnings
07-16-2007  2.04.06  RMV  FIX      Defined SB_NO_ICMP_SUPPORT for Mac and Linux.
06-07-2007  2.04.05  SN   RELEASE  Releasing to developer site
06-01-2007  2.04.05  DES  FIX      Fixed warning under Win32 due to using a pointer to malloc functions
05-18-2007  2.04.04  SAH  FIX      Fixed memory leak from unfreed string in gsiXxteaAlg
            2.04.04  SAH  FIX      Fixed trashed memory bug in gsiXxteaAlg from null char overwrite
05-16-2007  2.04.03  DES  FIX      Wrapped gsPlatform.h in extern "C" if C++
                     DES  CLEANUP  Cleaned up #undefs of common string funcs
                     DES  CLEANUP  Removed CE support from common code
04-17-2007  2.04.02  SAH  OTHER    Added gsiFloatSwap and Unswap byte reversal functions
03-15-2007  2.04.01  SN   FIX      Fixed some compiler warnings and errors for other platforms.
03-05-2007  2.04.00  SAH  RELEASE  Released to Developer Site
03-02-2007  2.03.10  SN   FIX      Fixed gsi common debug printing for Revolution 
                     SN   FIX      Switched printf for nitro to properly print common debug logs
                     SN   FIX      Fixed warnings for code warrior
03-02-2007  2.03.09  SAH  FIX      Fixed MACOSX endian-ness to default to GSI_LITTLE_ENDIAN
03-02-2007  2.03.08  SN   FIX      Fixed declaration warning in gsXml.c 
02-22-2007  2.03.07  SN   FIX      Fixed prototypes for extern aligned mem functions
01-30-2007  2.03.06  DES  FIX      Fixed compile error in gsXml.c
01-24-2007  2.03.05  SN   FIX      Fixed some Visual Studio 2005 warnings
01-23-2007  2.03.04  SAH  FIX      Added generalized UNICODE support for gsXML
            2.03.04  BED  FIX      Added UTF8ToUCS2StringLength for gsXML changes
01-17-2007  2.03.03  DES  RELEASE  Limited Release
01-16-2007  2.03.03  DES  FEATURE  Added X360 support
01-04-2007  2.03.02  BED  FIX      Added 2 new functions used in large int to ensure proper endian-ness for encryption
            2.03.02  BED  FIX      Fixed EncryptBuffer function to fix PS3 byte-order bug 
12-20-2006  2.03.01  SN   FIX      Added code to free allocated memory for memory manager
12-15-2006  2.03.00  MJW  RELEASE  Released to Developer Site
12-13-2006  2.02.23  SN   FIX      Fixed issue where PSP uses the wrong FD_SETSIZE
12-11-2006  2.02.22  SN   FIX      Fixed VS 2005 warnings of deprecated CRT function itoa using a define
12-05-2006  2.02.21  SN   FIX      Made changes to the memory manager getting rid of unnamed union warnings
11-29-2006  2.02.20  SN   FIX      Small changes made to remove implicit cast warnings
11-10-2006  2.02.19  JR   RELEASE  Limited Release
11-08-2006  2.02.19  DES  FIX      Fixed so Core code will work managed C++
11-06-2006  2.02.18  BED  FEATURE  Encryption clean up and speed up
                                   Implemented RSA signatures.
                                   Replaced Montgomery Multiplication with faster algorithm.
                                   Fixed some bugs with 16bit compatability.
11-02-2006  2.02.17  SAH  FIX      Added CloseHandle to free Win32 thread resources
11-01-2006  2.02.16  BED  FIX      Added const keyword to various encrytion and large integer functions
10-31-2006  2.02.15  SN   FIX      Added a line to have system determine DST for all platforms supporting localtime and mktime
10-23-2006  2.02.14  DES  RELEASE  Limited release
10-11-2006  2.02.14  SAH  OTHER    Added gsThreadMacOSX.c and Mac OSX Asynchronous DNS Threading Support (uses pthreads)
10-11-2006  2.02.13  DES  FIX      Soap works with Unicode
10-05-2006  2.02.12  SAH  FIX      Added MacOSXCommon.c, updated gsDebug and Makefile.common to get rid of Mac compiler warnings
09-28-2006  2.02.11  SAH  FIX      Fixed ps3common.c to work with PS3 095.00x SDK. Must now explicitly load modules prior to initializing
                                   the network since these libraries were made into stub libraries.
09-21-2006  2.02.10  SAH  FIX      Fixed a memory leak in Linux threads from not detaching a thread before exiting.
09-15-2006  2.02.09  DES  FEATURE  Added GS_ASSERT_NO_MESSAGEBOX define
09-13-2006  2.02.08  SN   FIX      Added recommended fix for broadcast IP
09-13-2006  2.02.07  SN   FIX      Updated Revolution CW Projects
                                   Fixed some impclicit type casts
                                   Miscalaneous Fixes for Revolution
09-05-2006  2.02.06  SN   FIX      Updated Revolution support
                                   Added a revolutionCommon.c file for testing sample applications
08-24-2006  2.02.05  SAH  FIX      Removed GSI_NO_THREADS define around func prototypes
08-23-2006  2.02.04  SAH  FIX      Added #ifdef around the gsi time functions to get rid of warnings on unsupported plats
08-17-2006  2.02.03  SAH  FIX      Cleaned up the gsi threaded/nonthreaded DNS lookup calls in gsPlatformUtil.c
                     SAH  OTHER    GSI_NO_ASYNC_DNS can now be defined to turn off threaded lookups
08-04-2006  2.02.02  SN   FIX      Fixed XML date and time read function to use time_t
08-04-2006  2.02.02  SN   FIX      Fixed the resolve host name thread function for Nintendo Wii   
08-04-2006  2.02.01  SAH  OTHER    Added gsi time utility functions as wrappers for gmtime, ctime, mktime
                     SAH  FIX      Added gsXmlReadChildAsDateTimeElement function to fix SAKE readTimeDate
                     SAH  OTHER    Removed function definitions/prototypes for NITRO ctime/gtime, now uses gsi versions
08-03-2006  2.02.00  SN   OTHER    Completed port for the Nintendo Revolution platform
08-02-2006  2.01.02  SAH  RELEASE  Releasing to developer site
08-01-2006  2.01.02  SAH  FIX      Removed PS2-asychronous DNS lookup calls - unsupported in current version
                     SAH  FIX      Changed Increment/Decrement functions for Linux - unsupported currently, throws assert
07-24-2006  2.01.01  SAH  FIX      Removed #ifdef _PS3 for socket calls in gsPlatformSocket.c and gsAvailable.c
                     SAH  FIX      Added typecasts to PS3 socket calls in gsPlatformSocket.h
                     SAH  FIX      Fixed a variable in gsThreadWin32.c used for gsiExitThread
                     SAH  FIX      Added GSI_UNUSED call for unused variable in gsPlatformUtil.c
                     SAH  FIX      Added typecast to get rid of NITRO warnings
07-21-2006  2.01.00  SN   FEATURE  Added initial support for the Nintendo Revolution
07-17-2006  2.00.50  SAH  FIX      Added gsiExitThread() to explicitly cleanup threads and free resources
07-07-2006  2.00.49  SAH  FIX      Changed debug statements to make note of asynch vs. synch DNS lookups
06-30-2006  2.00.48  SAH  FIX      Added _NITRO && _LINUX common debug call. added #ifndef _NITRO for file logging
06-26-2006  2.00.47  SAH  FIX      Changed timeout value for PS2 Insock socket calls to 3ms.
06-20-2006  2.00.46  SAH  FEATURE  Added gsLinuxThreads.c (Linux pthreads support) for ghttp asynch DNS
                     SAH  FEATURE  Added Linux implementation of gsiResolveHostnameThread
06-09-2006  2.00.45  SAH  OTHER    threaded asynch DNS code - explicitly set freed vars to NULL
06-02-2006  2.00.44  SAH  FIX      Added (void *) typecasts to function call in gsMemory.c
                     SAH  FIX      Added __cdecl to "main" function in Win32common.c
05-31-2006  2.00.43  SAH  RELEASE  Releasing to developer site
                     SAH  FIX      Added LinuxCommon.c for linux projects
05-30-2006  2.00.42  SAH  FIX      #include "time.h" for PS3 time support in gsPlatform.h
                     SAH  FIX      Added newlines to end of files, couple GSI_UNUSED calls
                     SAH  FIX      Added PS3 Threads stub in gsPlatformThreads	     
05-25-2006  2.00.41  SAH  FIX      added GSI_UNUSED call to gsAssert to get rid of Nitro warning
05-24-2006  2.00.40  SAH  FIX      moved GSI_UNUSED call below #endif in win32common.c
05-23-2006  2.00.39  SAH  FIX      Got rid of month/week arrays in gsXML.c - they are declared in nitroThread
05-22-2006  2.00.38  SAH  FIX      added GSI_UNUSED call to win32common.c - to get rid of warning
05-19-2006  2.00.37  SAH  FIX      added #define GS_STATIC_CALLBACK __cdecl if (_WIN32)
05-18-2006  2.00.36  DES  RELEASE  Limited developer release
05-17-2006  2.00.36  DES  FIX      Updates to fix DS compiler errors
                     DES  FEATURE  Added gmtime and ctime for DS
                     DES  FEATURE  Added gsiInterlockedIncrement/Decrement for the DS
                     DES  FIX      Changed call to strftime to sprintf
05-17-2006  2.00.35  SAH  FIX      Got rid of comma in MEMTAG enum causing codewarrior error
05-17-2006  2.00.34  DES  FIX      gsXmlReadChildAsBase64Binary now correctly handles empty data
05-15-2006  2.00.33  DES  FEATURE  Added Xml support for reading Base64 binary
                     DES  FEATURE  Added B64DecodeLen for getting the unencoded length of a Base64 string
04-28-2006  2.00.32  SAH  FIX      Got rid of unnecessary #include ../gsoap/stdsoap2.h in gsSoap.c
04-25-2006  2.00.31  SAH  RELEASE  Releasing to developer site
04-24-2006  2.00.31  SAH  FIX      Added/fixed some typecasts, manually defined gmtime in gsPlatform.h - DS doesn't support time
04-24-2006  2.00.30  SAH  FIX      Added prototype definition for _gsi_memalign (codewarrior warning)
04-20-2006  2.00.29  SAH  FIX      commented out unused variables, changed psp path to /usr/local/devkit
04-20-2006  2.00.28  SAH  FIX      Added newline to end of gsSHA1.h to get rid of error
                     SAH  FIX      Added #include <time.h> to gsXML.c
                     SAH  FIX      Added _PS3 wrapper typecast to socket calls
                     SAH  FIX      Changed gsi_64 variables to long long - PS3 now uses 32 bit
                     SAH  FIX      added _tstrncpy defines for UNICODE && WIN32
                     SAH  FIX      made a returned local variable static in gsUtilPS3
                     SAH  FIX      Added a (char *) typecast ot gsSocketPS3                                                            
04-18-2006  2.00.27  SAH  FIX      Added newline to end of gsXML.h to get rid of error
04-13-2006  2.00.26  SAH  FIX      Added #ifdef UNICODE, #include <wchar.h> to platform.h
04-13-2006  2.00.26  SAH  FIX      Added #ifdef UNICODE headers around functions that call wcslen
04-05-2006  2.00.25  DDW  OTHER    Replace __asm int 3 with DebugBreak() call in gsAssert for x64 support
03-20-2006  2.00.24  DES  FIX      Fixed cross-platform string function undefines
03-15-2006  2.00.23  SN   FIX      Removed old __WINSOCK_2__ in preference to GSI_WINSOCK2
03-02-2006  2.00.22  DES  FEATURE  Added encoding of Base64 as a stream
                     DES  FEATURE  Added writing Base64Binary and DateTime to XML streams
02-23-2006  2.00.21  DES  FEATURE  Added reading and writing functionality to the Xml code.
01-27-2006  2.00.20  SN   RELEASE  Releasing to developer site
01-11-2006  2.00.20  SN   FIX      Fixed function to return value for insock 
01-09-2006  2.00.19  SN   FIX      Separated code for WIN32 and WIN32 Console in the assert function
                                   Added platform checks around types and function pointers for memory code
10-08-2005  2.00.18  DES  FIX      Don't assert when freeing NULL, just ignore it.
                     DES  CLEANUP  Cleaned up assert code.
12-06-2005  2.00.17  SN   FEATURE  Temporarily added an Xbox assert function
11-15-2005  2.00.16  DES  FIX      Updated cross-platform compatibility.
11-14-2005  2.00.15  DES  FEATURE  Added GSI_DOMAIN_NAME to define "gamespy.com".
11-14-2005  2.00.14  MJ   FEATURE  Replaced memory management code.
								   Added stubbed files for cross platform rendering, input, and fileio
11-14-2005  2.00.13  DES  CLEANUP  Cleanup for Nitro and OSX.
11-11-2005  2.00.12  DES  FIX      Changes to crypt code for OSX compiler.
                     DES  FIX      added GSI_UNUSED for OSX.
                     BED  FIX      Fixed length check in gsLargeInt.c
10-12-2005  2.00.11  SN   FIX      Modified the INSOCK shutdown alias to use internal function
10-12-2005  2.00.10  BED  RELEASE  Releasing to developer site.
10-12-2005  2.00.09  DES  FEATURE  Updated to use SOC_ instead of SO_ prefixes for DS.
09-21-2005  2.00.08  DES  FEATURE  Updated DS support
                     DES  FEATURE  Added GS_WIRELESS_DEVICE for PSP and Nitro
08-12-2005  2.00.07  DES  FIX      Made changes to gsLargeInt.c for DS compatibility.
08-11-2005  2.00.06  BED  FEATURE  Added gsiCoreTaskThink so tasks could be pumped invidiually.
07-28-2005  2.00.05  SN   RELEASE  Releasing to developer site
07-28-2005  2.00.05  SN   FIX      Added an Extern C that was missing
07-27-2005  2.00.05  SN   OTHER    Removed include file until Xbox threading is implemented.
07-27-2005  2.00.04  SN   FIX      Fixed backwards IP address problem for Insock
06-23-2005  2.00.03  BED  FEATURE  Added PSP support.
06-03-2005  2.00.02  SN   RELEASE  Releasing to developer site.
05-26-2005  2.00.02  BED  RELEASE  Releasing to developer site.  
05-26-2005  2.00.02  BED  FIX      Added missing extern "C" brace to end of gsMemory.h
05-26-2005  2.00.01  BED  RELEASE  Releasing to developer site.  
05-26-2005  2.00.01  BED  FIX      Added old header stubs for new common code compatability with old sdks
05-26-2005  2.00.00  BED  RELEASE  Releasing to developer site.
05-16-2005  2.00.00  BED  OTHER    Moved common code into /common folder.
                     BED  OTHER    Split nonport.c and nonport.h into multiple files.
04-28-2005  1.11.02  SN   RELEASE  Releasing to developer site.
04-27-2005  1.11.02  DES  RELEASE  Limited release to Nintendo DS developers.
04-25-2005  1.11.02  DES  FIX      Nitro updates
                     DES  FEATURE  Addition categories and types added to gsiDebug
04-08-2005  1.11.01  SN   FIX      Fixed SN Systems bug where a socket was shown to be readable even when an error was recorded for it.
04-08-2005  1.11.00  DES  FEATURE  Changes for XBox support.
04-04-2005  1.10.72  SN   RELEASE  Releasing to developer site.
04-04-2005  1.10.72  DES  CLEANUP  Removed unused GS_BIG_ENDIAN define.
                     DES  FEATURE  Added gsi_is_false() and gsi_is_true() defines.
                     DES  CLEANUP  Removed unused PATHCHAR define.
                     DES  CLEANUP  Removed old _NITRO code from SetSockBlocking.
03-31-2005  1.10.71  BED  FIX      Removed some CodeWarrior strict compile warnings.
03-31-2005  1.10.70  SN   FIX      Fixed build problem by moving defines that had dependancies
03-14-2005  1.10.69  DES  FEATURE  Nintendo DS support
02-18-2005  1.10.68  BED  FIX      Added timeout for gsoap recv so it could recover from a hosed server
                     BED  FIX      Explicit __cdecl for hashtable and darray are used on Win32 only
                     BED  FIX      Switched gsimemory to track peak memory usage rather than total num allocs.
01-27-2005  1.10.67  DES  FIX      Added GSI_NO_THREADS for platforms without thread support
                     DES  FIX      Fixed custom SN sendto and moved it to nonport
01-04-2005  1.10.66  DDW  FIX      Added malloc cast in XXTEA encryption code
12-21-2004  1.10.65  SN   FIX      Added code to register the hostname resolution thread with SN_SYSTEMS
12-07-2004  1.10.64  BED  FIX      Added explicit __cdecl in darray.c and gsidebug.c
11-18-2004  1.10.63  SN   RELEASE  Releasing to developer site.
11-18-2004  1.10.63  SN   FIX      Fixed conversion warnings for XXTEA algorithm
11-17-2004  1.10.62  SN   FIX      Modified the XXTEA headers and renamed global key size
11-16-2004  1.10.62  BED  FEATURE  Added Thread/Semaphore common functions
                     BED  FEATURE  Added AD sdk to common debugger code.
                     BED  FEATURE  Common debug functions and memory manager are now thread safe
                     BED  FEATURE  Added core task processor (see core.h)
                     BED  FEATURE  Added common gsoap task (see soap.h)
11-16-2004  1.10.61  SN   FEATURE  Added URL-safe Base64 encoding and XXTEA encrypt and decrypt
09-21-2004  1.10.60  SN   FIX      Added the directories for MacOS X and Win32 common to goacommon.bat
09-16-2004  1.10.59  SN   RELEASE  Releasing to developer site.
09-16-2004  1.10.59  SN   FIX      Modified header define of NOFILE to avoid conflict with MacOS X
09-03-2004  1.10.58  BED  CLEANUP  Removed misc compiler warnings.
08-27-2004  1.10.57  BED  FEATURE  Added memory diagnostic functions to memory manager.
08-27-2004  1.10.56  DES  CLEANUP  Changed UNDER_UNIX to _UNIX, and define it if _LINUX or _MACOSX are defined.
                     DES  OTHER    Generate an error if _WIN32, _PS2, or _UNIX are not defined.
                     DES  CLEANUP  General Unicode cleanup
                     DES  CLEANUP  Fixed minor warnings under OSX
                     BED  FIX      Fixed typo in SN Systems version of GOAGetLastError.
08-25-2004  1.10.55  BED  FEATURE  Added common debug utilities to nonport. (See gsiDebug.h)
                     BED  FEATURE  Added memory pool manager to nonport. (See top of nonport.h)
08-24-2004  1.10.54  DES  CLEANUP  Removed references to MacOS.
08-20-2004  1.10.53  SN   FIX      Changed the way errors are obtained from the SN Systems network stack.
08-05-2004  1.10.52  SN   RELEASE  Releasing to developer site.
08-04-2004  1.10.51  SN   FIX      Fixed a function prototype causing compiler warnings for codewarrior
08-02-2004  1.10.50  SN   FEATURE  Added support for developers to use winsock 2
07-13-2004  1.10.49  DES  FEATURE  Added GSIStartResolvingHostname() for doing async hostname lookups.
07-12-2004  1.10.48  SN   FIX      Cleared warnings when warnings are treated as errors for gamspy common code.
07-09-2004  1.10.47  SN   FIX      Updated portions of code to eliminate warnings for PS2
07-08-2004  1.10.46  SN   FIX      Commented an include line <if_types.h>
07-01-2004  1.10.46  SN   FIX      Includeded <malloc.h> for ps2 
06-29-2004  1.10.45  BED  RELEASE  Releasing to developer site.
06-28-2004  1.10.45  DES  FEATURE  Added gsimemalign to the list of memory functions.
06-24-2004  1.10.44  BED  FEATURE  Util_Rand functions no longer static.
                     BED  FEATURE  Added B64 encode and decode from matrix source.
06-22-2004  1.10.43  BED  RELEASE  Releasing with updated PS2Common code
06-18-2004  1.10.42  BED  RELEASE  Releasing to developer site.
06-01-2004  1.10.42  BED  FEATURE  Phase 1 of PS2 Insock integration.  (needs further testing)
                     BED  FIX      Found case where unsigned long was used on Ps2 instead of gsi_time.
04-27-2004  1.10.41  DES  FEATURE  Added current_time_hires(), returns time in microseconds.
03-10-2004  1.10.40  BED  FEATURE  Added some more types to nonport.h
                          FIX      Undefine socket types to workaround SNSys bug.  (They plan to patch in march 04)
12-03-2003  1.10.39  BED  FEATURE  Added "GameSpy Help.chm" to goapackage.bat
11-10-2003  1.10.38  DES  RELEASE  Releasing to developer site.
11-10-2003  1.10.38  BED  FIX      Remove misc compiler warnings.
11-07-2003  1.10.37  DES  FIX      Added linux support for the common integers datatypes.
                          FIX      Added a newline to the bottom of available.h.
                          FEATURE  The available check now uses <gamename>.available.gamespy.com.
10-29-2003  1.10.36  DES  FEATURE  Added available.h,.c for doing backend services availability checks.
10-09-2003  1.10.35  BED  FEATURE  Added gsi_time type for PS2 compatibility
10-08-2003  1.10.34  JED  FEATURE  Added common integer datatypes
08-25-2003  1.10.33  JED  CLEANUP  Added some sanity checks in hashtable.c
07-24-2003  1.10.32  DES  RELEASE  Releasing to developer site.
07-23-2003  1.10.32  DES  FIX      Moved EENet includes in nonport.h to fix CW PS2 warnings.
                     DES  FEATURE  Added memory tracking.  Use GSI_MEM_TRACK to enable.
07-22-2203  1.10.31  BED  CLEANUP  General cleanup to remove CodeWarrior compiler warnings.
07-16-2003  1.10.30  DES  CLEANUP  Removed support for Cisco NFT for the PS2.
                          FIX      Changed some __mips64 checks to _PS2 checks in nonport.c
                     BED  FIX      Changed nonport.c to not use #pragma comment when _PS2 if defined
07-10-2003  1.10.29  BED  CLEANUP  Added GSI_UNUSED to nonport.h to silence unused variable warnings.
05-09-2003  1.10.28  DES  CLEANUP  Removed Dreamcast support.
                          CLEANUP  Changed nonport.h to use EENet if no network stack is defined for the PS2.
                          FIX      Metrowerks for Win32 is no longer falsely identified as MacOS.
05-07-2003  1.10.27  DES  RELEASE  Releasing to developer site.
                          FIX      Rewrote EENet GetMAC to be 2.7.x compatibile.
04-28-2003  1.10.26  DES  RELEASE  Releasing to developer site.
                          FIX      Changed malloc/free in new EENet getlocalhost to gsimalloc/gsifree.
04-28-2003  1.10.25  DES  RELEASE  Releasing to developer site.
04-17-2003  1.10.25  DES  FIX      Rewrote EENet getlocalhost again, to be compatible with the 2.7.0.1 release.
04-15-2003  1.10.24  DES  FIX      Rewrote the EENet implementation of getlocalhost to build its own HOSTENT.
04-15-2003  1.10.23  JED  CLEANUP  Corrected DevStudio Level4 warnings for use of FD_SET
04-08-2003  1.10.22  JED  FIX      converted md5 function parameter type declarations from K&R C to ANSI C
03-27-2003  1.10.21  DES  FIX      IsPrivateIP no longer flips the source IP's byte order.
03-26-2003  1.10.20  DES  RELEASE  Releasing to developer site.
03-25-2003  1.10.20  DES  FIX      The EENet version of getlocalhost() wasn't checking all possible local IPs.
03-24-2003  1.10.19  DES  FEATURE  Added IsPrivateIP() for checking if an IP is a private network IP.
                     DES  FIX      GetTicks() no longer causes a compiler warning.
03-10-2003  1.10.18  DES  RELEASE  Releasing to developer site.
02-25-2003  1.10.18  DES  CLEANUP  Added headers to nonport.h for 2.6.1 EENet compatibility.
                                   EENET_260 can be defined for 2.6.0 compatibility.
02-05-2003  1.10.17  DES  RELEASE  Releasing to developer site.
02-05-2003  1.10.17  DES  FEATURE  Added CanReceiveOnSocket and CanSendOnSocket as wrappers for select.
                                   Needed because the SN stack for the PS2 has non-standard behavior.
01-23-2003  1.10.16  DES  FEATURE  Added the ability to just get the gsi*() memory function defines
                                   by defining GSI_MEM_ONLY before including nonport.h.
01-07-2003  1.10.15  DES  RELEASE  Releasing to developer site.
01-07-2003  1.10.15  DES  CLEANUP  Removed a comment and a printf that were no longer needed.
01-02-2003  1.10.14  DES  CLEANUP  Removed the typedef for PSOCKADDR
                                   It doesn't appear to be used anywhere, and was causing compile problems.
12-20-2002  1.10.13  DES  FEATURE  Implemented new code from SN Systems to get the MAC for the unique ID.
12-19-2002  1.10.12  DES  RELEASE  Releasing to developer site.
12-19-2002  1.10.12  DES  CLEANUP  Removed assert.h include from darray.h and hashtable.h.
12-18-2002  1.10.11  DES  CLEANUP  Put in a stub function fr getting the unique ID when using the SN stack.
12-16-2002  1.10.10  DES  FEATURE  Defined NOFILE when _PS2 is defined to exclude all file writing code.
                          FEATURE  Defined SOMAXCONN to 5 when not defined.  This is used as the backlog
                                   parameter in calls to listen().  5 is the max for SN Systems.
                          FEATURE  gethostbyaddr() is not supported by SN Systems, defined it to NULL.
                          CLEANUP  Changed GOAGetLastError() to clear the error for SN Systems.
                                   Also removed GOAClearSocketError(), which was only needed for SN Systems.
12-13-2002  1.10.09  DES  FEATURE  Added EENet specific code for getting the MAC address for the Unique ID.
12-11-2002  1.10.08  DES  FEATURE  Additional eenet support.
                          FEATURE  Added getlocalhost() for getting the local machine's hostent struct.
                          FEATURE  Added SetSendBufferSize(), GetSendBufferSize(), and GetReceiveBufferSize().
12-05-2002  1.10.07  DES  CLEANUP  General cleanup
                          FEATURE  Initial PS2 eenet stack support
11-22-2002  1.10.06  DES  RELEASE  Releasing to developer site.
11-22-2002  1.10.06  DES  FIX      Fixed bug with checking the current time on the PS2.
11-20-2002  1.10.05  DES  FEATURE  Switched to using the MAC address for the Unique ID on the PS2.
                          CLEANUP  Cleaned up to compile without warnings on the PS2.
11-18-2002  1.10.04  JED  FIX      nonport.c now using ansi registry funcs for WIN32/unicode
11-14-2002  1.10.03  DES  FEATURE  Added assert.h include to nonport.h.
11-13-2002  1.10.02  DDW  FEATURE  Changed GOAGetUniqueID to use redefinable function pointer. 
                                   Made Cisco the default stack for PS2.
11-13-2002  1.10.01  DES  FIX      Removed Reference to unsupported non-blocking CISCO stack
09-25-2002  1.10.00  DDW  OTHER    Changelog started
